import sys

class Calculator:
    OPERATORS = ('+', '-', '*', '/', '%')
    
    def __init__(self, operator, operand_1, operand_2):
        if operator not in Calculator.OPERATORS:
            raise ValueError("Invalid operator")
        self.operator = operator
        self.operand_1 = float(operand_1)
        self.operand_2 = float(operand_2)

    def compute(self):
        if self.operator == '+':
            return self.operand_1 + self.operand_2
        elif self.operator == '-':
            return self.operand_1 - self.operand_2
        elif self.operator == '/':
            return self.operand_1 / self.operand_2
        elif self.operator == '*':
            return self.operand_1 * self.operand_2
        elif self.operator == '%':
            return self.operand_1 % self.operand_2


if __name__ == "__main__":
    if len(sys.argv) == 4:
        # calculus
        operator = sys.argv[1]
        operand_1 = sys.argv[2]
        operand_2 = sys.argv[3]
    elif len(sys.argv) == 1:
        # calculus2
        operator = input("Entrer un operateur : ")
        operand_1 = input("Entrer une operande : ")
        operand_2 = input("Entrer une autre operande : ")
    else:
        print("invalid number of parameters")
        exit(-1)

    cal = Calculator(operator, operand_1, operand_2)
    print(cal.compute())
    print(cal.compute())
